Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface

All Implemented Interfaces:
  `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

Enclosing class:
  `JKleppmannTreeManager.JKleppmannTree`

public class JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface extends Object implements StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreeStorageInterface()`

## Method Summary

Modifier and Type
Method
Description
`JKleppmannTreeNode`
`createNewNode(JObjectKey key, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
`JKleppmannTreeNode`
`getById(JObjectKey id)`
`LogInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
`getLog()`
`JObjectKey`
`getLostFoundId()`
`JObjectKey`
`getNewNodeId()`
`PeerTimestampLogInterface<Long,PeerId>`
`getPeerTimestampLog()`
`JObjectKey`
`getRootId()`
`JObjectKey`
`getTrashId()`
`void`
`putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)`
`void`
`removeNode(JObjectKey id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreeStorageInterface

public JKleppmannTreeStorageInterface()

## Method Details

### getRootId

public JObjectKey getRootId()

Specified by:
  `getRootId` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getTrashId

public JObjectKey getTrashId()

Specified by:
  `getTrashId` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getLostFoundId

public JObjectKey getLostFoundId()

Specified by:
  `getLostFoundId` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getNewNodeId

public JObjectKey getNewNodeId()

Specified by:
  `getNewNodeId` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getById

public JKleppmannTreeNode getById(JObjectKey id)

Specified by:
  `getById` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### createNewNode

public JKleppmannTreeNode createNewNode(JObjectKey key, JObjectKey parent, JKleppmannTreeNodeMeta meta)

Specified by:
  `createNewNode` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### putNode

public void putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)

Specified by:
  `putNode` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### removeNode

public void removeNode(JObjectKey id)

Specified by:
  `removeNode` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getLog

public LogInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> getLog()

Specified by:
  `getLog` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`

### getPeerTimestampLog

public PeerTimestampLogInterface<Long,PeerId> getPeerTimestampLog()

Specified by:
  `getPeerTimestampLog` in interface `StorageInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`